# run with: make -fmakefile.tcc

!if !$d(CC)
CC=tcc -Z -O -G
!endif

.cpp.obj:
  $(CC) -c {$< } 

dialer2.exe : dialer2.obj modem.obj serialpo.obj comports.obj uart.obj charqueu.obj
	tcc dialer2.obj modem.obj serialpo.obj comports.obj uart.obj charqueu.obj

dialer2.obj: dialer2.cpp modem.hpp serialpo.hpp comports.hpp uart.hpp

modem.obj: modem.cpp modem.hpp serialpo.hpp uart.hpp comports.hpp

serialpo.obj: serialpo.cpp serialpo.hpp comports.hpp uart.hpp

comports.obj: comports.cpp comports.hpp charqueu.hpp uart.hpp

uart.obj: uart.cpp uart.hpp

charqueu.obj: charqueu.cpp charqueu.hpp

